EGG-RENAME(1)

NAME
egg-rename - rename nodes in .egg files

SYNOPSIS
egg-rename -o output.egg [opts] input.egg
egg-rename -d dirname [opts] file.egg [file.egg ...]
egg-rename -inplace [opts] file.egg [file.egg ...]
egg-rename -inf input_list_filename [opts]

DESCRIPTION
egg-rename reads one or more egg files and writes back with modifiednode names. ie. suppressing prefix from all the nodes' names.

OPTIONS

-noabs
    Don't allow any of the named egg files to have absolute pathnames. If any do, abort with an error. This option is designed to help detect errors when populating or building a standalone model tree, which should be self-contained and include only relative pathnames.

-strip_prefix name
    strips out the prefix that is put on all nodes, by maya ext. ref

-o filename
    Specify the filename to which the resulting egg file will be written. This is only valid when there is only one input egg file on the command line. If you want to process multiple files simultaneously, you must use either -d or -inplace.

-d dirname
    Specify the name of the directory in which to write the resulting egg files. If you are processing only one egg file, this may be omitted in lieu of the -o option. If you are processing multiple egg files, this may be omitted only if you specify -inplace instead.

-inplace
    If this option is given, the input egg files will be rewritten in place with the results. This obviates the need to specify -d for an output directory; however, it's risky because the original input egg files are lost.

-cs coordinate-system
    Specify the coordinate system to operate in. This may be one of 'y-up', 'z-up', 'y-up-left', or 'z-up-left'.

-f  Force complete loading: load up the egg file along with all of its external references.

-inf filename
    Reads input args from a text file instead of the command line. Useful for really, really large lists of args that break the OS-imposed limits on the length of command lines.

-h  Display this help page.